- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OS_packer Class Reference

Class taking care of packing/unpacking. More...

`#include <OS_packer.hpp>`

List of all members.

## Public Member Functions
virtual void | pack_var_algo (const BCP_var_algo *var, BCP_buffer &buf)
| Pack an algorithmic variable.
virtual BCP_var_algo * | unpack_var_algo (BCP_buffer &buf)
virtual void | pack_cut_algo (const BCP_cut_algo *cut, BCP_buffer &buf)
| Pack an algorithmic cut.
virtual BCP_cut_algo * | unpack_cut_algo (BCP_buffer &buf)
| Unpack an algorithmic cut.
virtual void | pack_user_data (const BCP_user_data *ud, BCP_buffer &buf)
| Pack an user data.
virtual BCP_user_data * | unpack_user_data (BCP_buffer &buf)
| Unpack an user data.

## Detailed Description

Class taking care of packing/unpacking.

Definition at line 23 of file OS_packer.hpp.

## Member Function Documentation

void OS_packer::pack_var_algo | ( | const BCP_var_algo * | var,
|  | BCP_buffer & | buf |
| ) |  |  | `[virtual]`

Pack an algorithmic variable.

Definition at line 61 of file OS_packer.cpp.

References OS_var::pack().

BCP_var_algo * OS_packer::unpack_var_algo | ( | BCP_buffer & | buf | ) | `[virtual]`

Definition at line 75 of file OS_packer.cpp.

void OS_packer::pack_cut_algo | ( | const BCP_cut_algo * | cut,
|  | BCP_buffer & | buf |
| ) |  |  | `[virtual]`

Pack an algorithmic cut.

Definition at line 23 of file OS_packer.cpp.

References OS_cut::pack().

BCP_cut_algo * OS_packer::unpack_cut_algo | ( | BCP_buffer & | buf | ) | `[virtual]`

Unpack an algorithmic cut.

Definition at line 39 of file OS_packer.cpp.

void OS_packer::pack_user_data | ( | const BCP_user_data * | ud,
|  | BCP_buffer & | buf |
| ) |  |  | `[virtual]`

Pack an user data.

Definition at line 89 of file OS_packer.cpp.

References MY_user_data::pack(), and MY_user_data::print().

BCP_user_data * OS_packer::unpack_user_data | ( | BCP_buffer & | buf | ) | `[virtual]`

Unpack an user data.

Definition at line 103 of file OS_packer.cpp.

References MY_user_data::is_processed, MY_user_data::p_rud, and MY_user_data::print().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/include/OS_packer.hpp
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/Member/OS_packer.cpp